package meerkat.registry.AsyncRegistryCallbacks;

import com.google.common.util.concurrent.FutureCallback;
import meerkat.protobuf.BulletinBoardAPI.BulletinBoardMessage;

import java.util.List;

// TODO : add logging

/**
 * Created by  Vladimir Eliezer Tokarev on 3/12/2016.
 * AsyncRegistry hasVoted creates this callback to check if wanted user has voted
 */
public class HasVotedCallback implements FutureCallback<List<BulletinBoardMessage>>{
    protected FutureCallback<Boolean> callback;

    public  HasVotedCallback(FutureCallback<Boolean> callback){
        this.callback = callback;
    }

    @Override
    public void onSuccess(List<BulletinBoardMessage> messages) {
        if (messages.isEmpty()){
            callback.onSuccess(false);
            return;
        }
        callback.onSuccess(true);
    }

    @Override
    public void onFailure(Throwable t) {
        this.callback.onFailure(t);
    }
}
